Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1887104 - baresip: symbol lookup error: baresip: undefined symbol: sipreg_set_rwait
Summary: baresip: symbol lookup error: baresip: undefined symbol: sipreg_set_rwait
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: baresip
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-10 20:36 UTC by rvcsaba
Modified: 2020-10-10 21:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-10 20:48:21 UTC
Type: Bug


Attachments (Terms of Use)

Description rvcsaba 2020-10-10 20:36:14 UTC
Description of problem:

I installed and running baresip:

baresip: symbol lookup error: baresip: undefined symbol: sipreg_set_rwait


Version-Release number of selected component (if applicable):

baresip-1.0.0-1.fc33.x86_64
baresip-alsa-1.0.0-1.fc33.x86_64
baresip-cairo-1.0.0-1.fc33.x86_64
baresip-g722-1.0.0-1.fc33.x86_64
baresip-g726-1.0.0-1.fc33.x86_64
baresip-gsm-1.0.0-1.fc33.x86_64
baresip-gst-1.0.0-1.fc33.x86_64
baresip-gst_video-1.0.0-1.fc33.x86_64
baresip-gtk-1.0.0-1.fc33.x86_64
baresip-mpa-1.0.0-1.fc33.x86_64
baresip-mqtt-1.0.0-1.fc33.x86_64
baresip-opus-1.0.0-1.fc33.x86_64
baresip-plc-1.0.0-1.fc33.x86_64
baresip-pulse-1.0.0-1.fc33.x86_64
baresip-rst-1.0.0-1.fc33.x86_64
baresip-sdl-1.0.0-1.fc33.x86_64
baresip-sndfile-1.0.0-1.fc33.x86_64
baresip-speex_pp-1.0.0-1.fc33.x86_64
baresip-v4l2-1.0.0-1.fc33.x86_64
baresip-vp9-1.0.0-1.fc33.x86_64
baresip-x11-1.0.0-1.fc33.x86_64
baresip-x11grab-1.0.0-1.fc33.x86_64

Comment 1 Robert Scheck 2020-10-10 20:48:21 UTC
It seems you're a bit impatient and installed the packages, even they were not pushed to the testing repository yet. So, please either install the latest version of the libre and librem packages, too - or otherwise simply wait until the packages landed - as a whole - in the testing repository.

Comment 2 rvcsaba 2020-10-10 21:00:32 UTC
OK, I upgrade libre and librem, and baresip started. This is a dependency problem, not correct dependency version.


Note You need to log in before you can comment on or make changes to this bug.